Lists notebooks accessible to the authenticated user. This includes notebooks owned by the user as well as notebooks shared with them.
HTTP request
GET https://notebook.googleapis.com/v1/notebooks
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of notebooks to return. The service may return fewer than this value. If unspecified, at most 50 notebooks will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. A filter string to apply to the list of notebooks. Supported filters:
If the filter is empty, all notebooks accessible to the caller are returned (both owned and shared). Other filters are rejected with |
Request body
The request body must be empty.
Response body
Response message for NotebookService.ListNotebooks.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"notebooks": [
{
object ( |
| Fields | |
|---|---|
notebooks[] |
The notebooks accessible to the authenticated user. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/notebookhttps://www.googleapis.com/auth/notebook.readonly
For more information, see the Authentication guide.